<template src="./template.html"></template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from 'nuxt-property-decorator';
//@ts-ignore
import VueSlickCarousel from 'vue-slick-carousel';
import 'vue-slick-carousel/dist/vue-slick-carousel.css';
import 'vue-slick-carousel/dist/vue-slick-carousel-theme.css';

@Component({
	components: {
		VueSlickCarousel,
	},
})
export default class CarouselComponent extends Vue {
	@Prop()
	listCarousel!: any;
	settings = {
		focusOnSelect: true,
		infinite: true,
		speed: 500,
		slidesToShow: 5,
		slidesToScroll: 5,
		touchThreshold: 5,
	};

	openDialogAddTocart() {
		this.$store.commit('product/setDialogAddToCart', true);
	}
}
</script>

<style src="./style.css"></style>
